// -*-C++-*-
/*!
 * @file  com_rh707SVC_impl.cpp
 * @brief Service implementation code of com_rh707.idl
 *
 */

#include "com_rh707SVC_impl.h"

/*
 * Example implementational code for IDL interface ComRH707
 */
ComRH707SVC_impl::ComRH707SVC_impl()
{
  // Please add extra constructor code here.
}


ComRH707SVC_impl::~ComRH707SVC_impl()
{
  // Please add extra destructor code here.
}


/*
 * Methods corresponding to IDL attributes and operations
 */
CORBA::Short ComRH707SVC_impl::InitHand()
{
  // Please insert your code here and remove the following warning pragma
  int error;

  // hand initialized
  error = hand_init();
  if(error != 0) printf("hand initialized error \n");

#ifndef WIN32
  #warning "Code missing in function <CORBA::Short ComRH707SVC_impl::hand_init()>"
#endif
  return error;
}

CORBA::Short ComRH707SVC_impl::OpenHand(CORBA::Short slow)
{
  // Please insert your code here and remove the following warning pragma
  int error;

  // hand open
  if(slow == 1 ){
    error = hand_slow();
    if(error != 0) printf("hand slow error \n");
  } else {
    error = hand_open();
    if(error != 0) printf("hand open error \n");
  }

#ifndef WIN32
  #warning "Code missing in function <CORBA::Short ComRH707SVC_impl::hand_open()>"
#endif
  return error;
}

CORBA::Short ComRH707SVC_impl::CloseHand()
{
  // Please insert your code here and remove the following warning pragma
  int error;

  // hand close
  error = hand_close();

#ifndef WIN32
  #warning "Code missing in function <CORBA::Short ComRH707SVC_impl::hand_close()>"
#endif
  return error;
}

CORBA::Short ComRH707SVC_impl::GetHandCond(CORBA::UShort& cond)
{
  // Please insert your code here and remove the following warning pragma
  int error;
  unsigned char condition;

  error = hand_condition(&condition);
  if(condition != prev_cond){
    cond_cnt  = 0;
    prev_cond = condition;
  }
  if(error != 0) printf("hand condition error \n");
  else  printf("condition is %x(%d)\n", condition, cond_cnt++);

  cond = (unsigned short)condition;

    
#ifndef WIN32
  #warning "Code missing in function <CORBA::Short ComRH707SVC_impl::hand_condition(CORBA::UShort& cond)>"
#endif
  return error;
}

CORBA::Short ComRH707SVC_impl::StopHand()
{
  // Please insert your code here and remove the following warning pragma
  int error;

  // hand stop
  error = hand_stop();
  if(error != 0) printf("hand stop error \n");

#ifndef WIN32
  #warning "Code missing in function <CORBA::Short ComRH707SVC_impl::hand_stop()>"
#endif
  return error;
}



// End of example implementational code



